Bug 1271332 - [RHEL-OSP] During SmartState Analysis of an Image: "Unknown QCOW version: 3" [NEEDINFO]
[RHEL-OSP] During SmartState Analysis of an Image: "Unknown QCOW version: 3"
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Mo Morsi
Milan Falešník
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 12:25 EDT by Thom Carlin
Modified: 2015-12-08 08:38 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:38:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cfme-bot: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-10-13 12:25:54 EDT
Description of problem:

Unexpected error during SmartState Analysis of a RHEL-OSP Image

Version-Release number of selected component (if applicable):

5.4.3.0.20151001120745_d11cf59

How reproducible:

100% for specific VMs

Steps to Reproduce:
1. Define OpenStack Cloud Provider
2. Run SmartState Analysis on Images
3.

Actual results:

Unknown QCOW Version 3 for /tmp/vm_name-string

Expected results:

No error

Additional info:

In QcowDisk.rb, error occurs at line 621.  The logic for https://bugzilla.redhat.com/show_bug.cgi?id=1192223 didn't appear to cover the csize_shift
Comment 4 Rich Oliveri 2015-10-13 15:22:43 EDT
It looks like the case statement in `csize_shift` needs to accept version 3 as valid.
Comment 5 Mo Morsi 2015-10-21 11:18:26 EDT
PR 5024 submitted

https://github.com/ManageIQ/manageiq/pull/5024
Comment 6 CFME Bot 2015-10-21 16:46:05 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 7 CFME Bot 2015-10-21 17:13:53 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=61ae74acfbb80e0b1ea55213904eb0e9b88d08c6

commit 61ae74acfbb80e0b1ea55213904eb0e9b88d08c6
Author:     Mo Morsi <mmorsi@redhat.com>
AuthorDate: Wed Oct 21 16:43:39 2015 -0400
Commit:     Mo Morsi <mmorsi@redhat.com>
CommitDate: Wed Oct 21 16:43:39 2015 -0400

    Add missing check needed for qcow3 compressed images
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1271332

 gems/pending/disk/modules/QcowDisk.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 CFME Bot 2015-10-22 16:45:27 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/61ae74acfbb80e0b1ea55213904eb0e9b88d08c6

commit 61ae74acfbb80e0b1ea55213904eb0e9b88d08c6
Author:     Mo Morsi <mmorsi@redhat.com>
AuthorDate: Wed Oct 21 16:43:39 2015 -0400
Commit:     Mo Morsi <mmorsi@redhat.com>
CommitDate: Wed Oct 21 16:43:39 2015 -0400

    Add missing check needed for qcow3 compressed images
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1271332

 gems/pending/disk/modules/QcowDisk.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 10 CFME Bot 2015-10-22 16:58:56 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 11 Milan Falešník 2015-11-19 10:40:04 EST
Verified on 5.5.0.11 against 5.4.3.0.

The image that triggers this problem is the f22-qcow on our rhos5 provider.
Comment 13 errata-xmlrpc 2015-12-08 08:38:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.